/*
 * Class BOOLEAN
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_867 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_867 [] = {0xFF01,2164,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_867 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_867 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_867 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_867 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_6_867 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_7_867 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_8_867 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_9_867 [] = {0xFF01,865,0xFFFF};


static const struct desc_info desc_867[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_867), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_867), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_867), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_867), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_867), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_867), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_867), 21679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_867), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_867), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21666, 0},
	{EIF_GENERIC(NULL), 21668, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_867), 21669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21684, 0xFFFFFFFF},
};
void Init867(void)
{
	IDSC(desc_867, 0, 866);
	IDSC(desc_867 + 1, 1, 866);
	IDSC(desc_867 + 32, 700, 866);
	IDSC(desc_867 + 34, 634, 866);
}


#ifdef __cplusplus
}
#endif
